---
title: "Create SIEM configuration in the caller's organization"
url: https://hexelstudio.com/docs/api/ciam-iam/audit/create-siem-configuration-in-the-caller-s-organization
---

# Create SIEM configuration in the caller's organization

**POST** `/audit/siem`

Needs iam:audit:siem.

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Body parameters

- `config: optional array of integer`

- `created_at: optional string`

- `id: optional string`

- `is_enabled: optional boolean`

- `last_error: optional string`

- `last_sync_at: optional string`

- `name: optional string`

- `organization_id: optional string`

- `provider: optional string`

- `updated_at: optional string`

## Returns

`201` Created (`SIEMConfiguration`)

- `config: optional array of integer`

- `created_at: optional string`

- `id: optional string`

- `is_enabled: optional boolean`

- `last_error: optional string`

- `last_sync_at: optional string`

- `name: optional string`

- `organization_id: optional string`

- `provider: optional string`

- `updated_at: optional string`

## Errors

- `400` Bad Request

## Example

```bash
curl --request POST \
  --url 'https://api.hexelstudio.com/v1/audit/siem' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'Content-Type: application/json' \
  --data '{
  "config": [
    0
  ],
  "created_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "is_enabled": true,
  "last_error": "string",
  "last_sync_at": "2026-01-01T00:00:00Z",
  "name": "string",
  "organization_id": "string",
  "provider": "string",
  "updated_at": "2026-01-01T00:00:00Z"
}'
```

### Response (201)

```json
{
  "config": [
    0
  ],
  "created_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "is_enabled": true,
  "last_error": "string",
  "last_sync_at": "2026-01-01T00:00:00Z",
  "name": "string",
  "organization_id": "string",
  "provider": "string",
  "updated_at": "2026-01-01T00:00:00Z"
}
```

### Response (400)

```json
{
  "key": "string"
}
```
